package ai.decompile.engine.service;

import ai.decompile.docker.service.ContainerService;
import ai.decompile.engine.config.EngineProperties;
import ai.decompile.engine.model.EngineType;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Service;

@Service
@ConditionalOnProperty(name = "app.docker.enabled", havingValue = "true")
public class Ida5EngineService extends AbstractIdaEngineService {
  public Ida5EngineService(ContainerService containers, EngineProperties engineProperties) {
    super(containers, engineProperties);
  }

  @Override
  protected String getDockerfilePath() {
    return "engines/ida5/Dockerfile.ida5";
  }

  @Override
  protected String getConfigKey() {
    return "ida5";
  }

  @Override
  protected String getTempDirPrefix() {
    return "ida5-output-";
  }

  @Override
  public EngineType supportedEngine() {
    return EngineType.IDA5;
  }
}
